Bug? [ApkSignerTool] - Package signing (debug key).

T201016

Active Member
Licensed User
Hello,
compiling the source i get the following error code:

B4A Wersja: 10.70
Parsowanie kodu. (0.00s)
Java Wersja: 8
Building folders structure. (0.31s)
Kompilowanie kodu. (0.01s)
Kompilowanie kodu układu. (0.02s)
Organizowanie bibliotek. (0.00s)
(AndroidX SDK)
Compiling resources (1.67s)
Linking resources (3.61s)
Kompilowanie wygenerowanego kodu Java. (1.16s)
Konwertowanie kodu bajtowego - optymalizacja dex. (0.48s)
Kopiowanie zasobów bibliotek (0.93s)
ZipAlign file. (0.37s)
Podpisanie pakietu (klucz debugowania). Error
Error: A JNI error has occurred, please check your installation and try again
java.lang.UnsupportedClassVersionError: com/android/apksigner/ApkSignerTool has been compiled by a more recent version of the Java Runtime (class file version 53.0), this version of the Java Runtime only recognizes class file versions up to 52.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:756)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:468)
at java.net.URLClassLoader.access$100(URLClassLoader.java:74)
at java.net.URLClassLoader$1.run(URLClassLoader.java:369)
at java.net.URLClassLoader$1.run(URLClassLoader.java:363)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:362)
at java.lang.ClassLoader.loadClass(ClassLoader.java:418)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:355)
at java.lang.ClassLoader.loadClass(ClassLoader.java:351)
at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:601)
Exception in thread "main"

in the earlier version B4A 10.50 this compilation error did not occur. What this is about?
 

DonManfred

Expert
Licensed User
Use Java 11 downloaded from B4X-Page
 

T201016

Active Member
Licensed User
Welcome back,
I have not yet updated Android SDK + Required Resources, so far I could compile all applications on old sources without major problems.
When I update the Android SDK, I will let you know if it helped.
Thanks to everyone for now.
 

T201016

Active Member
Licensed User
Hi,
It seems the Android SDK update helped. And I admit it works on both Java 8 and 11, although I prefer to work on Java 8. Moreover, everything works for me regardless of the JDK 1.8.0.251 or JDK 1.8.0.291

Also, the case seems to be closed :)
Thanks to everyone for your help.
 
Top